Exceptions

Q1: What will be the output of the program?
class Exc0 extends Exception { } 
class Exc1 extends Exc0 { } /* Line 2 */
public class Test 
{  
    public static void main(String args[]) 
    { 
        try 
        {  
            throw new Exc1(); /* Line 9 */
        } 
        catch (Exc0 e0) /* Line 11 */
        {
            System.out.println('Ex0 caught'); 
        } 
        catch (Exception e) 
        {
            System.out.println('exception caught');  
        } 
    } 
}

A exception caught

B Ex0 caught

C Compilation fails because of an error at line 9.

D Compilation fails because of an error at line 2.

ANS:A - Ex0 caught

An exception Exc1 is thrown and is caught by the catch statement on line 11. The code is executed in this block. There is no finally block of code to execute.



img not found
img

For help Students Orientation
Mcqs Questions

One stop destination for examination, preparation, recruitment, and more. Specially designed online test to solve all your preparation worries. Go wherever you want to and practice whenever you want, using the online test platform.